{% extends 'base.html' %}
{% load custom_filters %}

{% block content %}
<section id="category">
    <div class="container">
        <h1 class="category-title text-center">{{ category|upper }}</h1>
        <div class="underline mx-auto col-2"></div>

        {% if posts %}

        {% if category != 'gallery' %}
        {% for post in posts %}
        <div class="person-card row">
            <div class="person-img col-md-6 col-xs-12">
                <img src="{{ post.image.url }}" width="100%" height="100%">
            </div>
            <div class="person-desc col-md-6 col-xs-12">
                <h3>{{ post.title }}</h3>

                <h5>{{ post.date_created|date:"l, d F Y - H:i" }} WIB</h5>

                <p>{{ post.content|safe|truncatewords:50 }}</p>
                <a href="/news/{{ post.title|slug }}">
                    <p class="details">LIHAT LEBIH</p>
                </a>
            </div>
        </div>
        {% endfor %}
        {% else %}
        {% for post,images in posts %}
        <div class="row person-card">
            <div class="col-md-6 person-img">
                {% for image in images %}
                {% if forloop.counter0 == 0 %}
                <img src="{{ image.file.url }}" alt="{{ image.position }}" width="100%" height="100%"
                    style="object-fit:cover;">
                {% endif  %}
                {% endfor %}
            </div>
            <div class="col-md-6">
                <div class="person-desc">
                    <h3>{{ post.title }}</h3>

                    <h5>{{ post.date_created|date:"l, d F Y - H:i" }} WIB</h5>

                    <p>{{ post.content|safe|truncatewords:50 }}</p>
                    <a href="/gallery/{{ post.title|slug }}">
                        <p class="details">LIHAT LEBIH</p>
                    </a>
                </div>
            </div>
        </div>
        {% endfor %}
        {% endif %}

        <ul class="pagination">
            <li class="page-item" hidden><a class="page-link" href="#"></a></li>
            {% for i in pages.paginator.page_range %}
            {% if pages.number == i %}
            <li class="page-item active"><a class="page-link" href="?page={{ i }}">{{ i }}</a></li>
            {% else %}
            <li class="page-item"><a class="page-link" href="?page={{ i }}">{{ i }}</a></li>
            {% endif %}
            {% endfor %}
            <li class="page-item" hidden><a class="page-link" href="#"></a></li>
        </ul>
        {% else %}
        <h4 class="text-center pb-5" style="color: white">Tidak ada berita</h4>
        {% endif %}

    </div>
</section>
{% endblock %}